
#include "base_coordControl.h"


#define EIGEN_ARCH_DEFAULT_NUMBER_OF_REGISTERS 16
#define EIGEN_MAX_CPP_VER       03
#define EIGEN_NO_DEBUG          1


using namespace std;

#include <Eigen/Core>
#include <Eigen/LU>



EPS_ErrorType base_coordControl_init(base_coordControl_t* const self)
{
    return EPS_E_OK;
}



EPS_ErrorType base_coordControl_work(base_coordControl_t* const self)
{
  Eigen::Matrix<float, 3, 3> m;
  m.setZero();
  m(0,0) = 3;
  m(1,0) = 5;
  m(0,1) = 3;
  m(1,1) = m(1,0) + m(0,1);
  m(2,2) = 1;

  Eigen::Matrix<float, 3, 3> invMat = m.inverse();

  return EPS_E_OK;
}


